# class Byebug::CommandNotFound

Custom exception exception to signal “command not found” errors

### Public Class Methods

new(input, parent = nil) click to toggle source
Calls superclass method

    # File lib/byebug/errors.rb, line 8
    def initialize(input, parent = nil)
      @input = input
      @parent = parent

      super("Unknown command '#{name}'. Try '#{help}'")
    end

### Private Instance Methods

build_cmd(*args) click to toggle source

    # File lib/byebug/errors.rb, line 25
    def build_cmd(*args)
      args.compact.join(" ")
    end

help() click to toggle source

    # File lib/byebug/errors.rb, line 21
    def help
      build_cmd("help", @parent)
    end

name() click to toggle source

    # File lib/byebug/errors.rb, line 17
    def name
      build_cmd(@parent, @input)
    end